Package com.tietoenator.trip.jxp.database

# Class TdbErrorCheckSink

java.lang.Object
java.util.AbstractCollection<TdbErrorCheckPhase>
java.util.AbstractList<TdbErrorCheckPhase>
java.util.Vector<TdbErrorCheckPhase>
com.tietoenator.trip.jxp.database.TdbErrorCheckSink

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`, `Serializable`, `Cloneable`, `Iterable<TdbErrorCheckPhase>`, `Collection<TdbErrorCheckPhase>`, `List<TdbErrorCheckPhase>`, `RandomAccess`, `SequencedCollection<TdbErrorCheckPhase>`

public class TdbErrorCheckSink extends Vector<TdbErrorCheckPhase> implements com.tietoenator.trip.jxp.internal.utils.DOMSink
Sink class that collects errors / warnings from a database diagnosis attempt. Following a call to TdbDatabaseDesign.diagnose(), the instance of this class provided will contain an object of type TdbErrorCheckPhase for each phase of the diagnosis executed.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbErrorCheckSink()`
  Constructor, creates a blank instance

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getSummary()`

  ### Methods inherited from class java.util.Vector

  `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `addFirst, addLast, getFirst, getLast, removeFirst, removeLast, reversed`

- ## Constructor Details

  - ### TdbErrorCheckSink

    public TdbErrorCheckSink()
    Constructor, creates a blank instance

- ## Method Details

  - ### getSummary

    public int getSummary()